import * as React from 'react';
export declare function ElementRefContextProvider({ children }: {
    children: React.ReactNode;
}): JSX.Element;
export declare type ElementRef = React.MutableRefObject<HTMLElement | null>;
declare type ElementRefs = {
    PickerMainRef: ElementRef;
    AnchoredEmojiRef: ElementRef;
    BodyRef: React.MutableRefObject<HTMLElement | null>;
};
declare type ElementRefKeys = keyof ElementRefs;
export declare function useElementRef(key: ElementRefKeys): ElementRef | React.MutableRefObject<HTMLElement | null>;
export declare function usePickerMainRef(): ElementRef | React.MutableRefObject<HTMLElement | null>;
export declare function useAnchoredEmojiRef(): ElementRef | React.MutableRefObject<HTMLElement | null>;
export declare function useSetAnchoredEmojiRef(): (target: null | HTMLElement) => void;
export declare function useBodyRef(): React.MutableRefObject<HTMLDivElement | null>;
export {};
